package de.duehl.swing.ui.error;

import javax.swing.SwingUtilities;

import de.duehl.swing.ui.GuiTools;

public class GuiExceptionHandlerTest {

    public static void main(String[] args) {
        GuiTools.setNiceLayoutManager();

        GuiExceptionHandlerRegistration registration = new GuiExceptionHandlerRegistration();
        registration.registerToEdt();

        SwingUtilities.invokeLater(() ->
            {
                throw new IllegalArgumentException(
                        new NullPointerException("darf nicht null sein!"));
            }
            );
    }

}
